<?php

include '../Include/xplanetbg.inc.php';

$hintergrundbild = "xplanet xpb xp". $xplanet_bg . " b" . $xplanet_bg . ".123"; /* Ist eigentlich kein Bild mehr, sondern eine "class" */
$description = "Umverteilung mal anders: mit Freigeld (neutralem Geld) gäbe es nicht mehr die Zinsströme von Arm zu Reich, die bis heute immer wieder zum Zusammebruch ganzer Staaten führen.";
$keywords=", Schulden, Finanzkrise, Wirtschaftskrise, Umverteilung";
$titel = "Die Umverteilung mit Freigeld (Umlaufsicherung)";
$root = "../";

$css = "
 table.daten input { width:2.5rem; }
 div.daten, img.wborder {border-width:1px;border-color:white;border-style:solid;margin:0.5em; }
 blockquote {font-style:italic;margin-bottom:0.6em;}
 img.rechtsBild, img.linksBild {border-color:white;}

 td.ergebnis, td.nergebnis, td.pergebnis { width:3em; }
 td.ergebnis { color:black;}
 td.nergebnis { color:red;}
 td.pergebnis { color:green;}
 ";

if (!function_exists('svg_embed')){
  include $root . 'Include/svg_embed.inc';
}

/* Name der tatsächlichen Inhaltsdatei: */
$filename = __FILE__;

$ietext = 'Ihr Browser ist zu alt! Mit <a href="http://de.wikipedia.org/wiki/Internet_Explorer_9" title="Internet-Explorer-Artikel in Wikipedia">Version 9</a> (Anfang 2011?) kann auch der <i>Internet Explorer</i> endlich, was andere Browser wie Firefox, Opera oder Safari schon seit Jahren können: <a href="http://de.wikipedia.org/wiki/Scalable_Vector_Graphics" title="SVG erklärt">SVG</a> darstellen.';

if ($_POST['anwenden']) {
  /*  $v = $_POST['v'];
  for ($i = 0; $i < (10); $i++)
  $v[$i] = $_POST['v']['$i']; */
  $zeige_summen = $_POST['zeige_summen'] == TRUE;
  $haushalte_pro_gruppe = floatval($_POST['haushalte_pro_gruppe']);
  $umlaufsicherung = $_POST['umlaufsicherung'] / 100;
  $liquid_anteil = $_POST['liquid_anteil'] / 100;
  reset($_POST);
  $ea[1] = floatval(current($_POST));
  for ($i = 2; $i <= 10; $i++)  
      $ea[$i] = floatval(next($_POST));
  for ($i = 1; $i <= 10; $i++)  
      $a[$i] = floatval(next($_POST));
}
else
{
  /* Einkommen: */
  /*  $e = array(1 => 12, 19, 24, 28, 32, 38, 43, 49, 59, 101); */
  /* Einkomen aus Arbeit: */
  $ea = array(1 => 12, 19, 24, 27.9, 31.5, 35.7, 38.2, 41.1, 45, 50);
  /* Ausgaben: */
  $a = array(1 => 13, 20, 24, 27, 30, 35, 36, 37, 38, 40);
  $haushalte_pro_gruppe = 3.8;
  $liquid_anteil = 0.5;
  $umlaufsicherung = 0.12;
  $zeige_summen = FALSE;
};


/* Einnahmen, Ersparnisse und Umlaufsicherung berechnen: */
$umlauf_summe = 0;
for ($i = 1; $i <= 10; $i++){
  $as[$i] = $ea[$i] * $liquid_anteil * $umlaufsicherung;
  $umlauf_summe += $as[$i];
}

$grundeinkommen = $umlauf_summe / 10;

for ($i = 1; $i <= 10; $i++){
  $e[$i] = $ea[$i] + $grundeinkommen;  
  $s[$i] = $e[$i] - $a[$i];
}

/* Die Summen für die Gruppen werden nur berechnet, wenn sie gezeigt werden sollen */
if ($zeige_summen){
  $v_gruppensumme = '<tr style="font-style:italic;">
<td class="xpw">in Mrd € je Gruppe</td>';
  $e_gruppensumme = $v_gruppensumme;
  $s_gruppensumme = $v_gruppensumme;
  $a_gruppensumme = $v_gruppensumme;
  $z_gruppensumme = $v_gruppensumme;
  for ($j = 1; $j <= 10; $j++){
    $e_gruppensumme = $e_gruppensumme . '<td>' . round($e[$j] * $haushalte_pro_gruppe, 1) . '</td>';
    $s_gruppensumme = $s_gruppensumme . '<td>' . round($s[$j] * $haushalte_pro_gruppe, 1) . '</td>';
    $a_gruppensumme = $a_gruppensumme . '<td>' . round($a[$j] * $haushalte_pro_gruppe, 1) . '</td>';
    $saldo = ($ez[$j] - $az[$j]) * $haushalte_pro_gruppe;
    $z_gruppensumme = $z_gruppensumme . '<td class="' . ($saldo >= 0? 'p' : 'n') . 'ergebnis">' . round($saldo, 1) . '</td>';   
  }
  $z_gruppensumme = $z_gruppensumme . '</tr>';
  $e_gruppensumme = $e_gruppensumme . '</tr>';
  $s_gruppensumme = $s_gruppensumme . '</tr>';
}

for ($i = 1; $i <= 10; $i++){
  $e_summe += $e[$i]; /* nicht die Summe aller Einkommen... */
  $s_summe += $s[$i]; /* nicht die Summe aller Ersparnisse... */
  $a_summe += $a[$i]; /* nicht die Summe aller Ausgaben... */
}

for ($i = 1; $i <= 10; $i++){
  $v_gruppeneink =  $v_gruppeneink . '<td><input name="v' . $i . '" type="text" maxlength="4" value="' . $v[$i] . '"></td>';
  $e_gruppenprozent = $e_gruppenprozent . '<td>' . round(($e[$i] / $e_summe * 100), 1) . '</td>'; 
  $e_grund = $e_grund . '<td>' . round($grundeinkommen, 1) . '</td>';   
  $e_arbeit = $e_arbeit . '<td><input name="ea' . $i . '" type="text" maxlength="4" value="' . $ea[$i] . '"></td>';
  $e_gruppeneink = $e_gruppeneink . '<td>' . round($e[$i], 1) . '</td>';   
  $s_gruppenprozent = $s_gruppenprozent . '<td>' . round(($s[$i] / $s_summe * 100), 1) . '</td>'; 
  $s_gruppeneink = $s_gruppeneink .  '<td class="ergebnis">' . round($s[$i], 1) . '</td>';
  $a_gruppenprozent = $a_gruppenprozent . '<td>' . round(($a[$i] / $a_summe * 100), 1) . '</td>'; 
  $a_gruppenausg = $a_gruppenausg .  '<td><input name="a' . $i . '" type="text" maxlength="4" value="' . $a[$i] . '"></td>';
  $a_sicherung = $a_sicherung .  '<td>' . round($as[$i], 1) . '</td>';
}

/* Umlaufsaldenberechnung */
for ($k = 1; $k <= 10; $k++){
  $saldo = $grundeinkommen - $as[$k];
  $saldosumme += $saldo;
  $umlaufsaldo = $umlaufsaldo . '<td class="' . ($saldo >= 0? 'p' : 'n') . 'ergebnis">' . round($saldo, 1) . '</td>';   
}


/* Parameter für Visualisierung */
for ($k = 1; $k <= 10; $k++){
  $parameter = $parameter . "&amp;e$k=" . $e[$k] . "&amp;a$k=" . $a[$k] . "&amp;z$k=" . $grundeinkommen . "&amp;l$k=" . $as[$k];
}

$text = $text . '

<form method="post" action="index.de.php" accept-charset="utf-8">

<h2>Verteilung der Haushalts-Einkommen:</h2>

<table class="daten">
<tr>
  <th>Gruppe</th>
  <th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th><th>9</th><th>10</th>
</tr>
<tr>
  <td>in % je Gruppe</td>' .
  $e_gruppenprozent . '
</tr>
<tr>
  <td title="Grundeinkommen in Tauſend € je Haushalt">Grundeink.</td>' .
  $e_grund . '  
</tr>
<tr>
  <td title="Einkommen z.B. aus Arbeit / in Tausend € je Haushalt">ſonstiges Eink.</td>' .
  $e_arbeit . '
</tr>
<tr>
  <td title="in Tauſend € je Haushalt">in Tsd. € je Hh.</td>' .
  $e_gruppeneink . '
</tr>' .
  $e_gruppensumme . '
</table>

<h2>Verteilung der Haushalts-Ausgaben:</h2>

<table class="daten">
<tr>
  <th>Gruppe</th>
  <th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th><th>9</th><th>10</th>
</tr>
<tr>
  <td>in % je Gruppe</td>' .
  $a_gruppenprozent . '
</tr>
<tr>
  <td title="in Tausend € je Haushalt">in Tsd. € je Hh.</td>' .
  $a_gruppenausg . '
</tr>
<tr>
  <td title="Umlaufsicherung in Tausend € je Haushalt">davon Umlaufsicherung</td>' .
  $a_sicherung . '  
</tr>' .
  $a_gruppensumme . '
</table>

<h2>Verteilung der jährlichen Ersparniſſe:</h2>

<table>
<tr>
  <th>Gruppe</th>
  <th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th><th>9</th><th>10</th>
</tr>
<tr>
  <td>in % je Gruppe</td>' .
  $s_gruppenprozent . '
</tr>
<tr class="xpw">
  <td title="in Tauſend € je Haushalt">in Tſd. € je Hh.</td>' .
  $s_gruppeneink . '
</tr>' .
  $s_gruppensumme . '
</table>

<h2>Umverteilung durch Umlaufsicherung:</h2>

<table>
<tr>
  <th>Gruppe</th>
  <th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th><th>9</th><th>10</th>
</tr>
<tr>
  <td title="jährliche Umlaufsicherungsbelastung in Tausend € je Haushalt">Belastung<small> (in Tsd. € / Hh.)</small></td>' .
  $a_sicherung . '
</tr>
<tr>
  <td title="jährliche Grundsicherung in Tausend € je Haushalt">Einkommen<small> (in Tsd. € / Hh.)</small></td>' .
  $e_grund . '
</tr>
<tr class="xpw">
  <td title="jährlicher Umlaufsicherungs-Saldo in Tausend € je Haushalt">Umlaufſaldo<small> (in Tsd. € / Hh.)</small></td>' .
  $umlaufsaldo . '  
</tr>'
. $u_gruppensumme . '
</table>

<h3>Einſtellungen:</h3>

<div style="float:left;"><input type="submit" value="Anwenden" name="anwenden" title="Berechnet die Umverteilung nach den Nutzereingaben"></div>

<div style="margin-left:6em;margin-top:0em;">
<br><a href="#umlaufsicherung" title="&darr; Zur Erklärung springen">Umlaufsicherung</a>: <input name="umlaufsicherung" type="text" size="3" maxlength="4" title="Werte von 6 bis 12% (pro Jahr) sind vermutlich sinnvoll" value="' . $umlaufsicherung * 100 . '">%
&nbsp; <a href="#liquidity" title="&darr; Zur Erklärung springen">Bargeldquote</a>: <input name="liquid_anteil" type="text" size="3" maxlength="4" title="Werte um 50% sind vermutlich sinnvoll" value="' . $liquid_anteil * 100 . '">%
<br><i>Gruppensummen</i> anzeigen: <input name="zeige_summen" type="checkbox" '. ($zeige_summen ? 'checked ' : '') . 'title="Wenig zusätzliche Information">
&nbsp; Haushalte pro Gruppe (in Mill.): <input name="haushalte_pro_gruppe" type="text" size="4" maxlength="5" title="Nur relevant, wenn Gruppensummen angezeigt werden" value="' . $haushalte_pro_gruppe . '">
</div>
</form>

<div style="width:90%;margin:auto;margin-top:1em;margin-bottom:1em;color:black;" class="daten xpw">'
 . svg_embed("umverteilung.php?titel=Umverteilung_durch_Zins" . $parameter, "umverteilung.png", "100%", "", "475", "305", "Visualisierung", $ietext, '', "", "", 0) . '</div>

<p>Al­le Zah­len, mit de­nen die Be­rech­nun­gen durch­ge­führt wer­den, ſind durch die Ein­ga­be­fel­der ver­än­der­bar! 
Als Grund­la­ge dien­te mein <a href="../redistribution/" title="Die Umverteilung durch den Zins">Um­ver­tei­lungs­rech­ner</a>, der die ge­gen­wär­ti­ge Um­ver­tei­lung durch den Zins dar­ſtel­len ſoll. Hier wird ſtatt­deſ­ſen die Um­ver­tei­lung durch Um­lauf­ſi­che­rung (Frei­geld) dar­ge­ſtellt. So in et­wa ſoll­te es auſ­ſe­hen, wenn in Deutſch­land ei­ne Um­lauf­ſi­che­rung ein­ge­führt wür­de. Die Ein­kom­men für die un­te­ren Hauſ­halts­grup­pen ent­ſpre­chen den tat­ſäch­li­chen Zah­len, wäh­rend ich die vor­ein­ge­ſtell­ten Nicht-​Zins-​Ein­kom­men für die obe­ren Ein­kom­mens­grup­pen an­he­ben muſſ­te, um nicht völ­lig von der tat­ſäch­li­chen Si­tua­tion ab­wei­chen­de Wer­te zu er­hal­ten. Der glei­che Um­ver­tei­lungs­ef­fekt müſſ­te auch beim <a href="http://freimarkt.org" title="Markt ohne Kapitalismus">Frei­markt</a> ein­tre­ten. Es ſoll­te auf­fal­len, daß die­ſes Syſ­tem viel ein­fa­cher als das Zins­ſyſ­tems iſt, da die Ver­mö­gen we­gen des Weg­falls der Zin­ſen kei­ne Rol­le mehr ſpie­len (ſiehe Zins-&#8203;Graph un­ten), und daſs deut­lich we­ni­ger um­ver­teilt wird. Vor al­lem „der Mit­tel­ſtan­d“, der im Ka­pi­ta­liſ­mus die Haupt­laſt des Syſ­tems trägt, wird mit Frei­geld faſt voll­ſtän­dig ent­laſ­tet! Be- und ent­laſ­te­te Hauſ­hal­te hal­ten ſich hier inſ­ge­ſamt die Waa­ge.</p>

'

. svg_embed("zinstreppe2.svg", "zinstreppe2.png", "30em", "", "410", "328", "Zinstreppe", $ietext, '', "float:right;margin:1em;clear:both;", " class='xpw'", 0) .

'

<p id="umlaufsicherung">Die <i>Um­lauf­ſi­che­rung</i> iſt ei­ne Geld­hal­te­ge­bühr. Bei Fäl­lig­keit (hier jähr­li­cher Pro­zent­ſatz, aber es kann auch mo­nat­lich mit 1/12 da­von ge­rech­net wer­den) wird das Bar­geld um die­ſen An­teil ver­rin­gert (z.B. durch koſ­ten­pflich­ti­ge Auf­kle­ber auf den Schei­nen oder Um­tauſch; bei elek­tro­ni­ſchem Geld na­tür­lich au­to­ma­tiſch).
</p>

<p id="liquidity">Die <i>Bar­geld­quo­te</i> gibt an, wel­chen An­teil ih­res Jah­res­ein­kom­mens die Hauſ­hal­te bei Fäl­lig­keit der Um­lauf­ſi­che­rung in li­qui­den Mit­teln (bar oder auf dem Gi­ro­kon­to) be­ſit­zen. Ein Wert um 50% ſcheint ge­recht­fer­tigt, zu­min­deſt für die Beſ­ſer­ver­die­nen­den (auf die es haupt­ſäch­lich an­kommt), da auch kurz-​ und mit­tel­fri­ſti­ge Geld­an­lagen durch die Um­lauf­ſi­che­rung be­laſ­tet wür­den.</p>

<p><small>Die Ersparnisse ſind be­rech­net als „Ein­kom­men“ - „Ausgaben“.</small></p>

<p><small>Die <b>Quell­tex­te</b> <a href="index_de.phps">die­ſer Sei­te</a> und der <a href="umverteilung.phps">SVG-Gra­fik</a> kön­nen ein­ge­ſe­hen und wei­ter­ver­ar­bei­tet wer­den.</small></p>

';

include '../Include/layout.inc.php';

?>
